(in-package #:asdf-user)

(defsystem :scopes-core
  :author "cyberconcepts.org Team <team@cyberconcepts.org>"
  :license "MIT"
  :version "0.0.1"
  :homepage "https://www.cyberconcepts.org"
  :description "Core packages of the scopes project."
  :depends-on (:alexandria :cl-dotenv :com.inuoe.jzon 
               :flexi-streams :ironclad :local-time :log4cl :qbase64 :str)
  :components ((:file "config" :depends-on ("util/util"))
               (:file "core/core" 
                      :depends-on ("core/message" "config" 
                                   "forge/forge" "logging" "util/util"))
               (:file "core/message" :depends-on ("shape/shape"))
               (:file "forge/forge")
               (:file "forge/sf" :depends-on ("util/iter" "util/util"))
               (:file "logging" :depends-on ("config" "util/util"))
               (:file "shape/shape")
               (:file "util/util")
               (:file "util/crypt" :depends-on ("util/util"))
               (:file "util/iter")
               (:file "testing" :depends-on ("util/util")))
  :long-description "scopes/core: The core packages of the scopes project."
  :in-order-to ((test-op (test-op "scopes-core/test"))))

(defsystem :scopes-core/test
  :depends-on (:scopes-core)
  :components ((:file "test/test-config")
               (:file "test/test-core")
               (:file "test/test-forge")
               (:file "test/test-sf"))
  :perform (test-op (o c) 
    (symbol-call :scopes/test-config :run)
    (symbol-call :scopes/test-core :run)
    ;(symbol-call :scopes/test-forge :run)
    (symbol-call :scopes/test-sf :run)))
